Package com.pixelmed.display

# Class DicomCleaner.OurQueryTreeBrowser

java.lang.Object
com.pixelmed.query.QueryTreeBrowser
com.pixelmed.display.DicomCleaner.OurQueryTreeBrowser

Enclosing class:
  DicomCleaner

protected class DicomCleaner.OurQueryTreeBrowser extends QueryTreeBrowser

## Method Summary

Modifier and Type
Method
Description
`protected TreeSelectionListener`
`buildTreeSelectionListenerToDoSomethingWithSelectedLevel()`
Override this method to perform application-specific behavior when an entity is selected in the tree browser.

### Methods inherited from class com.pixelmed.query.QueryTreeBrowser

`buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord, getSelectionPaths`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### buildTreeSelectionListenerToDoSomethingWithSelectedLevel

protected TreeSelectionListener buildTreeSelectionListenerToDoSomethingWithSelectedLevel()
Description copied from class: `QueryTreeBrowser`

Override this method to perform application-specific behavior when an entity is selected in the tree browser.

By default this method dumps the string values of the unique keys to the console for level selection, which is pretty useless.

Overrides:
  `buildTreeSelectionListenerToDoSomethingWithSelectedLevel` in class `QueryTreeBrowser`